#
# spec file for package python-pytest-cache
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-cache
Version:        1.0
Release:        lp151.2.2
License:        MIT
Summary:        Pytest Plugin for Caching Across Test Runs
Url:            http://bitbucket.org/hpk42/pytest-cache/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pytest-cache/pytest-cache-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with tests}
BuildRequires:  %{python_module pytest}
%endif
Requires:       python-pytest
Requires:       python-execnet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
pytest-cache: working with cross-testrun state

The plugin provides two options to rerun failures, namely ``--lf`` to
only re-run the failures and ``--ff`` to run all tests but the failures
from the last run first.  For cleanup (usually not needed), a
``--clearcache`` option allows to remove all cross-session cache
contents ahead of a test run.

%prep
%setup -q -n pytest-cache-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
%python_exec test_cache.py
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Apr 25 2017 toddrme2178@gmail.com
- Implement single-spec version.
- Fix license (MIT).
- Run tests.
- Fix download URL.
* Sat Jan 18 2014 toms@opensuse.org
- Initial version 1.0
